PamCut: TrkRigCut Class Reference

# TrkRigCut Class Reference

The rigidity cut. This cut discards all the events whose rigidity is less than the threshold. Here rigidity is defined as p/Z (GV) where Z is the particle charge (WITH SIGN) and p the momentum modulus: therefore rigidity can be positive or negative. More...

`#include <TrkRigCut.h>`

Inheritance diagram for TrkRigCut:

List of all members.

## Public Member Functions
| TrkRigCut (const char *cutName, float minRigidity)
| Constructor.
| ~TrkRigCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The rigidity check.
## Private Attributes
float | _minRigidity

## Detailed Description

The rigidity cut. This cut discards all the events whose rigidity is less than the threshold. Here rigidity is defined as p/Z (GV) where Z is the particle charge (WITH SIGN) and p the momentum modulus: therefore rigidity can be positive or negative.

Definition at line 19 of file TrkRigCut.h.

## Constructor & Destructor Documentation

TrkRigCut::TrkRigCut | ( | const char * | cutName,
|  | float | minRigidity |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | minRigidity | The minimum rigidity p/Z (in GV) below which an event will be discarded. Can be positive or negative.

Definition at line 28 of file TrkRigCut.h.

TrkRigCut::~TrkRigCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 32 of file TrkRigCut.h.

## Member Function Documentation

int TrkRigCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The rigidity check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the rigidity is greater than the threshold

  0 otherwise.

Implements PamCut.

Definition at line 12 of file TrkRigCut.cpp.

References _minRigidity, and CUTOK.

## Member Data Documentation

float TrkRigCut::_minRigidity`[private]`

Definition at line 45 of file TrkRigCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TrkCuts/TrkRigCut/TrkRigCut.h
- TrkCuts/TrkRigCut/TrkRigCut.cpp